import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
import { ResponseListType, ResponseType } from "../../types";
import { ICateType, IGoodDetail, IGoodType } from "./types";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

// 商品列表
export const httpList = (data: object): ResponseListType<IGoodType> => {
  return http.request("post", `${yewuApi}goodlist`, {
    data: {
      ...data,
      isZx: 0
    }
  });
};

// 商品详情
export const httpDetail = (data: object): ResponseType<IGoodDetail> => {
  return http.request("post", `${yewuApi}goodinfo`, { data });
};

export const httpCatlist = (data: object): ResponseListType<ICateType> => {
  return http.request("post", `${yewuApi}catquery`, { data });
};

//添加商品类目
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}addgood`, { data });
};

export * from "./types";
