import { computed, onMounted, ref, unref } from "vue";
import { useUserStoreHook } from "/@/store/modules/user";

type Params = {
  pageName: string;
  callback: (permissions: Array<string>) => void;
};

export function usePermission({ pageName, callback }: Params) {
  const permissions = ref<Array<string>>([]);

  const permission = computed(() => {
    return {
      list: permissions.value.some(i => i === "001")
    };
  });

  onMounted(() => {
    permissions.value = useUserStoreHook().getMenuActions(pageName);
    callback(unref(permissions));
  });

  return {
    permissions,
    permission
  };
}
