import { ElImage, ElTag } from "element-plus";
import { h } from "vue";
import { DescriptionColumns } from "/@/components/BasicDescriptions";

export const statusOptions = [
  {
    label: "待发起流程",
    value: "0"
  },
  {
    label: "待采购审核",
    value: "1"
  },
  {
    label: "待财务审核",
    value: "2"
  },
  {
    label: "审核成功",
    value: "3"
  },
  {
    label: "采购驳回",
    value: "4"
  },
  {
    label: "财务驳回",
    value: "5"
  }
];

export const paymentOptions = [
  {
    label: "待发起",
    value: "0"
  },
  {
    label: "待业务审核",
    value: "1"
  },
  {
    label: "待财务审核",
    value: "2"
  },
  {
    label: "待付款回执",
    value: "3"
  },
  {
    label: "付款回执",
    value: "4"
  },
  {
    label: "业务驳回",
    value: "5"
  },
  {
    label: "财务驳回",
    value: "6"
  }
];

export const purchpay_columns: DescriptionColumns = [
  {
    field: "payNo",
    label: "对账申请编号"
  },
  {
    field: "dzNo",
    label: "付款申请编号"
  },
  {
    field: "apply_name",
    label: "申请人"
  },
  {
    field: "pay_fee",
    label: "申请付款额度"
  },
  {
    field: "return_img",
    label: "付款回执",
    render(src) {
      return h(ElImage, {
        src,
        previewSrcList: [src],
        style: {
          height: "20px"
        }
      });
    }
  },
  {
    field: "return_time",
    label: "付款回执时间"
  },
  {
    field: "status",
    label: "状态",
    render(status) {
      return h(ElTag, null, {
        default: () => statusOptions.find(s => status === s.value)?.label
      });
    }
  },
  {
    field: "pay_apply_name",
    label: "对账申请人"
  },
  {
    field: "supplierNo",
    label: "供应商编号"
  },
  {
    field: "supplierName",
    label: "供应商"
  },
  {
    field: "companyNo",
    label: "业务公司编号"
  },
  {
    field: "companyName",
    label: "业务公司"
  },
  {
    field: "total_fee",
    label: "对账总额"
  },
  {
    field: "remark",
    label: "备注"
  }
];
