import { ElTag } from "element-plus";
import { h } from "vue";
import { send_type } from "./purchase";
import { DescriptionColumns } from "/@/components/BasicDescriptions";

export const sale_status = [
  {
    value: "0",
    label: "未核销"
  },
  {
    value: "1",
    label: "核销中"
  },
  {
    value: "2",
    label: "不参与核销"
  }
];

export const sale_good_type = [
  {
    value: "1",
    label: "正常商品"
  },
  {
    value: "2",
    label: "赠品"
  },
  {
    value: "3",
    label: "样品"
  }
];

const pay_status = [
  {
    value: "1",
    label: "未回款"
  },
  {
    value: "2",
    label: "部分回款"
  },
  {
    value: "3",
    label: "已回款"
  }
];

const inv_status = [
  {
    value: "1",
    label: "未开票"
  },
  {
    value: "2",
    label: "部分开票"
  },
  {
    value: "3",
    label: "已开票"
  }
];

export const sale_detail_columns: DescriptionColumns = [
  {
    field: "sequenceNo",
    label: "销售单编号"
  },
  {
    field: "ownerName",
    label: "销售员"
  },
  {
    field: "department",
    label: "销售部门"
  },
  {
    field: "createdTime",
    label: "销售单新建时间"
  },
  {
    field: "status",
    label: "状态",
    render(data) {
      return h(ElTag, null, {
        default: () => sale_status.find(s => s.value === data)?.label
      });
    }
  },
  {
    field: "sequenceNo",
    label: "销售单类型"
  },
  {
    field: "companyName",
    label: "业务公司名称"
  },
  {
    field: "customerName",
    label: "客户公司名称"
  },
  {
    field: "poCode",
    label: "po编号"
  },
  {
    field: "platName",
    label: "平台名称"
  },
  {
    field: "workCode",
    label: "业务编号"
  },
  {
    field: "goodNo",
    label: "商品编号"
  },
  {
    field: "goodBrand",
    label: "品牌"
  },
  {
    field: "firstCat",
    label: "一级分类"
  },
  {
    field: "secCat",
    label: "二级分类"
  },
  {
    field: "thirdCat",
    label: "三级分类"
  },
  {
    field: "goodMaterial",
    label: "材质"
  },
  {
    field: "goodType",
    label: "商品类型",
    render(data) {
      return h(ElTag, null, {
        default: () => sale_good_type.find(t => t.value === data)?.label
      });
    }
  },
  {
    field: "goodModel",
    label: "型号"
  },
  {
    field: "isStock",
    label: "是否库存",
    render(data) {
      return h(ElTag, null, {
        default: () => (data === "1" ? "库存" : "非库存")
      });
    }
  },
  {
    field: "metalsType",
    label: "贵金属种类"
  },
  {
    field: "weight",
    label: "重量"
  },
  {
    field: "goldPrice",
    label: "金价"
  },
  {
    field: "workDay",
    label: "工期"
  },
  {
    field: "tax",
    label: "税率"
  },
  {
    field: "goodNum",
    label: "商品数量"
  },
  {
    field: "goodPrice",
    label: "商品单价"
  },
  {
    field: "totalPrice",
    label: "总金额"
  },
  {
    field: "sendNum",
    label: "发货数量"
  },
  {
    field: "wsendNum",
    label: "未发货数量"
  },
  {
    field: "apay_fee",
    label: "已付金额"
  },
  {
    field: "pay_fee",
    label: "付款中"
  },
  {
    field: "inv_fee",
    label: "开票中"
  },
  {
    field: "ainv_fee",
    label: "已开票"
  },
  {
    field: "sendType",
    label: "发货方式",
    render(data) {
      return h(ElTag, null, {
        default: () => send_type.find(t => t.value === data)?.label
      });
    }
  },
  {
    field: "inv_status",
    label: "开票状态",
    render(data) {
      return h(ElTag, null, {
        default: () => inv_status.find(t => t.value === data)?.label
      });
    }
  },
  {
    field: "pay_status",
    label: "付款状态",
    render(data) {
      return h(ElTag, null, {
        default: () => pay_status.find(t => t.value === data)?.label
      });
    }
  },
  {
    field: "paytime",
    label: "付款时间"
  },
  {
    field: "diff_weight",
    label: "工差重量"
  },
  {
    field: "diff_fee",
    label: "工差金额"
  },
  {
    field: "customerAttr",
    label: "公司属性"
  },
  {
    field: "branch",
    label: "分公司"
  },
  {
    field: "cgdNo",
    label: "采购单号"
  },
  {
    field: "thNum",
    label: "退货数量"
  },
  {
    field: "th_fee",
    label: "退货金额"
  }
];
