import { ElImage, ElTag } from "element-plus";
import { h } from "vue";
import { DescriptionColumns } from "/@/components/BasicDescriptions";

export const ticket_return_columns: DescriptionColumns = [
  {
    field: "payNo",
    label: "对账编号"
  },
  {
    field: "hpNo",
    label: "回票申请编号"
  },
  {
    field: "apply_name",
    label: "申请人名称"
  },
  {
    field: "invType",
    label: "发票申请类型",
    render(data) {
      return h(ElTag, null, {
        default: () => inv_type.find(s => s.value === data)?.label
      });
    }
  },
  {
    field: "invoiceType",
    label: "发票类型"
  },
  {
    field: "invName",
    label: "发票名称"
  },
  {
    field: "invName",
    label: "发票名称"
  },
  {
    field: "inv_img",
    label: "发票图片",
    render(src) {
      return h(ElImage, {
        src,
        previewSrcList: [src],
        style: {
          height: "20px"
        }
      });
    }
  },
  {
    field: "inv_fee",
    label: "发票金额"
  },
  {
    field: "status",
    label: "状态",
    render(data) {
      return h(ElTag, null, {
        default: () => status_options.find(s => s.value === data)?.label
      });
    }
  },
  {
    field: "open_time",
    label: "开票时间"
  },
  {
    field: "invoiceNumber",
    label: "发票号码"
  },
  {
    field: "invoiceCode",
    label: "发票代码"
  },
  {
    field: "checkNumber",
    label: "校验码"
  },
  {
    field: "pay_apply_name",
    label: "对账申请人"
  },
  {
    field: "supplierNo",
    label: "供应商编号"
  },
  {
    field: "supplierName",
    label: "供应商名称"
  },
  {
    field: "companyNo",
    label: "业务企业编号"
  },
  {
    field: "companyName",
    label: "业务企业名称"
  },
  {
    field: "total_fee",
    label: "对账申请总额"
  }
];

export const inv_type = [
  {
    label: "手工开票",
    value: "1"
  },
  {
    label: "ocr识别",
    value: "2"
  },
  {
    label: "金税",
    value: "3"
  }
];

//发票状态的options
export const status_options = [
  {
    label: "上传发票",
    value: "0"
  },
  {
    label: "待识别验证",
    value: "1"
  },
  {
    label: "待校验识别",
    value: "2"
  },
  {
    label: "待财务审核",
    value: "3"
  },
  {
    label: "待认证",
    value: "4"
  },
  {
    label: "认证成功待确认",
    value: "5"
  },
  {
    label: "回票完成",
    value: "6"
  },
  {
    label: "识别失败",
    value: "7"
  },
  {
    label: "验证失败",
    value: "8"
  },
  {
    label: "财务驳回",
    value: "9"
  },
  {
    label: "认证失败",
    value: "10"
  },
  {
    label: "校验超过次数第二天校验",
    value: "11"
  },
  {
    label: "回票申请废弃已结束",
    value: "12"
  }
];
