import { ref } from "vue";
import dayjs from "dayjs";
import { send_status_list, inv_status_list } from "/@/utils/status";
export function useColumns() {
  const columns = ref([
    {
      type: "selection",
      reserveSelection: true
    },
    {
      label: "销售订单编号",
      prop: "sequenceNo",
      minWidth: 160,
      showOverflowTooltip: true
    },

    {
      label: "所属平台",
      prop: "department",
      minWidth: 160,
      showOverflowTooltip: true
    },
    {
      label: "商品编码",
      prop: "goodNo",
      minWidth: 160,
      showOverflowTooltip: true
    },
    {
      label: "商品名称",
      prop: "goodName",
      minWidth: 160,
      showOverflowTooltip: true
    },
    {
      label: "企业客户编号",
      prop: "companyNo",
      minWidth: 160,
      showOverflowTooltip: true
    },
    {
      label: "企业客户名称",
      prop: "companyName",
      minWidth: 160,
      showOverflowTooltip: true
    },

    {
      label: "订单总金额",
      prop: "totalPrice",
      minWidth: 110,
      showOverflowTooltip: true
    },

    {
      label: "退货数量",
      prop: "th_fee",
      width: 110,
      showOverflowTooltip: true
    },
    {
      label: "退货金额",
      prop: "th_fee",
      width: 110,
      showOverflowTooltip: true
    },
    {
      label: "发货状态",
      prop: "sendStatus",
      minWidth: 110,
      showOverflowTooltip: true,
      cellRenderer: ({ row, props }) => (
        <el-tag
          size={props.size}
          type={
            (
              send_status_list.find(
                item => item.value == row.sendStatus + ""
              ) || {}
            ).type || "info"
          }
          effect="plain"
        >
          {(
            send_status_list.find(item => item.value == row.sendStatus + "") ||
            {}
          ).label || "--"}
        </el-tag>
      )
    },
    {
      label: "发票已核销",
      prop: "ainv_fee",
      minWidth: 110,
      showOverflowTooltip: true
    },
    {
      label: "发票核销中",
      prop: "inv_fee",
      minWidth: 110,
      showOverflowTooltip: true
    },
    {
      label: "发票未核销",
      prop: "winv_fee",
      minWidth: 110,
      showOverflowTooltip: true
    },

    {
      label: "发票核销状态",
      prop: "inv_type",
      minWidth: 110,
      showOverflowTooltip: true,
      cellRenderer: ({ row, props }) => (
        <el-tag
          size={props.size}
          type={
            (
              inv_status_list.find(item => item.value == row.inv_status + "") ||
              {}
            ).type || "info"
          }
          effect="plain"
        >
          {(
            inv_status_list.find(item => item.value == row.inv_status + "") ||
            {}
          ).label || "--"}
        </el-tag>
      )
    },
    {
      label: "业务员",
      prop: "ownerName",
      minWidth: 80,
      showOverflowTooltip: true
    },
    {
      label: "创建时间",
      minWidth: 145,
      prop: "createTime",
      showOverflowTooltip: true,
      formatter: ({ createTime }) =>
        dayjs(createTime).format("YYYY-MM-DD HH:mm:ss")
    }
  ]);

  return {
    columns
  };
}

export const order_detail_columns = [
  {
    field: "sequenceNo",
    label: "确认单编号"
  },
  {
    field: "ownerName",
    label: "销售员"
  },
  {
    field: "department",
    label: "平台名称"
  },
  {
    field: "companyName",
    label: "业务公司名称"
  },
  {
    field: "customerName",
    label: "客户名称"
  },
  {
    field: "goodNum",
    label: "商品数量"
  },
  {
    field: "goodPrice",
    label: "商品单价"
  },
  {
    field: "goodName",
    label: "商品名称"
  },
  {
    field: "inv_fee",
    label: "开票中"
  },
  {
    field: "ainv_fee",
    label: "已开票"
  },
  {
    field: "winv_fee",
    label: "未开票"
  }
];
