import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/InvoiceSales/invoicePool";

import dayjs from "dayjs";
import { h } from "vue";
import { ElTag } from "element-plus";
import { inv_type_list } from "../../invoiceApply/status";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    label: "发票申请编号",
    prop: "invNo",
    width: 160
  },

  {
    label: "企业客户编码",
    prop: "inv_in",
    width: 160
  },
  {
    label: "企业客户名称",
    prop: "username"
  },

  {
    label: "发票额度",
    prop: "inv_value",
    width: 110
  },
  {
    label: "发票类型",
    cellRenderer({ row }) {
      const current = inv_type_list.find(i => i.value === row.inv_type);
      return h(
        ElTag,
        {
          type: current.type as any
        },
        {
          default: () => current.label
        }
      );
    }
  },
  {
    label: "业务公司编码",
    prop: "inv_out",
    width: 160
  },
  {
    label: "申请人",
    prop: "apply_name",
    width: 80
  },
  {
    label: "创建时间",
    width: 145,
    prop: "createTime",
    formatter: ({ createTime }) =>
      dayjs(createTime).format("YYYY-MM-DD HH:mm:ss")
  },
  {
    label: "操作",
    fixed: "right",
    width: 55,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "发票公海池",
  powers: ["001", "002", "003", "004", "005", "006", "007", "008"],
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
