import { invType_options, status_options } from "./configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "invoiceType",
      type: "input",
      placeholder: "发票类型"
    },
    {
      field: "invNumber",
      type: "input",
      placeholder: "发票号码"
    },
    {
      field: "open_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开票起始时间",
        endPlaceholder: "开票结束时间"
      }
    },
    //认证状态
    // {
    //   field: "open_timer",
    //   type: "select",
    // },
    //发票备注
    // {
    //   field: "m",
    //   type: "input",
    // },
    //销售方名称
    // {
    //   field: "m",
    //   type: "input",
    // },
    {
      field: "invType",
      type: "select",
      placeholder: "请选择录入方式",
      options: invType_options
    },
    {
      field: "start_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "录入起始时间",
        endPlaceholder: "录入结束时间"
      }
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "请输入录入人"
    },
    {
      field: "status",
      placeholder: "请选择发票状态",
      type: "select",
      options: status_options
    }
  ]
};

export default searchFormConfig;
