import { FormRules } from "element-plus";

export const create_rules: FormRules = {
  pay_fee: [{ required: true, trigger: "change", message: "请输入付款金额" }],
  payNo: [{ required: true, trigger: "", message: "请选择付款订单" }]
};

export const audit_rules = {
  status: [{ required: true, trigger: "change", message: "请选择审核状态" }],
  remark: [{ required: true, trigger: "change", message: "请输入备注" }]
};

export const receipt_rules = {
  return_image: [
    { required: true, trigger: "change", message: "请选择上传回执图片" }
  ],
  return_time: [
    { required: true, trigger: "change", message: "请选择上传回执时间" }
  ]
};

export const columns = [
  {
    label: "对账编号",
    prop: "payNo",
    minWidth: 180,
    align: "left"
  },
  {
    label: "供应商编号",
    prop: "supplierNo",
    minWidth: 180,
    align: "left"
  },
  {
    label: "供应商名称",
    prop: "supplierName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "业务公司名称",
    prop: "companyName",
    minWidth: 180
  },
  {
    label: "总额款",
    prop: "total_fee",
    minWidth: 180,
    align: "total_fee"
  },
  {
    label: "已付款金额",
    prop: "apay_fee",
    minWidth: 180,
    align: "left"
  },
  {
    label: "已回票金额",
    prop: "ainv_fee",
    minWidth: 180,
    align: "left"
  },
  {
    label: "未回票金额",
    prop: "winv_fee",
    minWidth: 180,
    align: "left"
  }
];
